package at.compax.tools.sql.model;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@Getter
@Builder
@ToString
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserError {
	@Getter
	@Builder
	@ToString
	@JsonInclude(JsonInclude.Include.NON_NULL)
	public static class MessageLine {
		private Long sequence;
		@JsonProperty("line")
		private Long line;
		@JsonProperty("position")
		private Long position;
		@JsonProperty("text")
		private String text;
		@JsonProperty("attribute")
		private String attribute;
		private Long messageNumber;
	}

	@JsonProperty("name")
	private String name;
	@JsonProperty("type")
	private String type;
	@JsonProperty("lines")
	private List<MessageLine> lines;

}
